.bottom-cta__background-image {
	@mixin abs-full;

	z-index: 1;
}

.bottom-cta__overlay {
	@mixin abs-full;

	z-index: 2;
}

.bottom-cta.is-dark-contract {
	& .bottom-cta__label,
	& .bottom-cta__title,
	& .bottom-cta__description * {
		color: var(--white);
	}
}

.bottom-cta {
	&.has-overlay,
	&.has-background {
		position: relative;
		z-index: 1;

		& .default-section__main {
			position: relative;
			z-index: 3;
		}
	}

	&.is-layout-row {
		& .default-section__inner {
			@media (--ml) {
				display: flex;
				flex-wrap: wrap;
				justify-content: space-between;
			}
		}

		& .bottom-cta__header {
			@media (--ml) {
				flex: 1 1 0;
				padding-right: 2em;
			}
		}

		&.is-content-alignment-center {
			& .default-section__inner {
				@media (--ml) {
					align-items: center;
				}
			}
		}

		& .bottom-cta__footer {
			@media (--ml) {
				width: auto;
				padding-top: 0;
			}
		}
	}

	&.is-layout-column {
		&.is-content-alignment-center {
			& .default-section__inner {
				text-align: center;
			}
		}

		&.is-content-alignment-right {
			& .default-section__inner {
				text-align: right;
			}
		}
	}

	&.has-container-fullwidth {
		&.is-vertical-spacing-s {
			@media (--m) {
				padding-top: 1em;
				padding-bottom: 1em;
			}
		}

		&.is-vertical-spacing-m {
			@media (--m) {
				padding-top: 4em;
				padding-bottom: 4em;
			}
		}

		&.is-vertical-spacing-l {
			@media (--m) {
				padding-top: 6em;
				padding-bottom: 6em;
			}
		}
	}

	&.has-container-boxed {
		margin-top: 0;

		& .bottom-cta__overlay,
		& .bottom-cta__background-image {
			display: none;
		}

		& .default-section__inner {
			padding: 1em;
			border-radius: var(--border-radius);

			@media (--m) {
				padding: 2em;
			}
		}

		&.is-vertical-spacing-s {
			& .default-section__inner {
				@media (--m) {
					padding-top: 1em;
					padding-bottom: 1em;
				}
			}
		}

		&.is-vertical-spacing-m {
			& .default-section__inner {
				@media (--m) {
					padding-top: 4em;
					padding-bottom: 4em;
				}
			}
		}

		&.is-vertical-spacing-l {
			& .default-section__inner {
				@media (--m) {
					padding-top: 6em;
					padding-bottom: 6em;
				}
			}
		}

		&.has-bg-primary,
		&.has-bg-secondary,
		&.has-bg-dark {
			& .bottom-cta__title,
			& .bottom-cta__description {
				color: var(--white);
			}
		}

		&.has-bg-primary {
			& .default-section__inner {
				background: var(--primary);
			}
		}

		&.has-bg-secondary {
			& .default-section__inner {
				background: var(--secondary);
			}
		}

		&.has-bg-dark {
			& .default-section__inner {
				background: var(--dark);
			}
		}

		&.has-bg-light {
			& .default-section__inner {
				background: var(--light);
			}
		}
	}
}
